import javax.xml.datatype.*;

public class Passaggio {
    private long portale;
    XMLGregorianCalendar timestamp;

    public Passaggio(long portale, XMLGregorianCalendar timestamp) {
        this.portale = portale;
        this.timestamp = timestamp;
    }
    
    public Passaggio(Passaggio passaggio) {
        portale = passaggio.getPortale();
        timestamp = passaggio.getTimestamp();
    }

    public long getPortale() {
        return portale;
    }

    public XMLGregorianCalendar getTimestamp() {
        return (XMLGregorianCalendar)timestamp.clone();
    }
}
