
import javax.xml.datatype.*;
import java.util.*;

public class Veicolo {
    private String targa;
    private List<Passaggio> passaggi;
    
    public Veicolo(String targa) {
        this.targa = targa;
        passaggi = new ArrayList<Passaggio>();
    }
    
    public void nuovoPassaggio(long portale) {
        try {
            GregorianCalendar now = new GregorianCalendar();
            XMLGregorianCalendar timestamp = DatatypeFactory.newInstance().newXMLGregorianCalendar(now);
            Passaggio passaggio = new Passaggio(portale, timestamp);
            passaggi.add(passaggio);
        }
        catch (DatatypeConfigurationException e) {
        }
    }
    
    public Passaggio[] getPassaggi() {
        Passaggio[] passaggi = new Passaggio[this.passaggi.size()];
        int n = 0;
        
        for (Passaggio passaggio : this.passaggi) {
            passaggi[n] = new Passaggio(passaggio);
            n++;
        }
        return passaggi;
    } 
}
